%circle-template {
  display: block;
  position: absolute;
  top: 3px;
  width: 18px;
  height: 18px;
}

.scb-trigger {
  position: relative;
  width: 48px;
  height: 24px;
  background-color: $bg-light-gray;
  border-radius: 12px;
  transition: background-color $default-delay;
  &:before,
  &:after {
    @extend %circle-template;
    content: "";
  }
  &:before {
    background: url("~Images/check-white.svg") center center no-repeat;
    left: 3px;
  }
  &:after {
    background: url("~Images/cross-gray.svg") center center no-repeat;
    right: 3px;
  }
  &.on {
    background-color: $bg-green;

    .trigger-control {
      transform: translateX(24px);
    }
  }

  .trigger-control {
    @extend %circle-template;
    left: 3px;
    background-color: $bg-white;
    border-radius: 100%;
    transition: all $default-delay;
    z-index: 1;
  }
}
